using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.PC
{
    /// <summary>
    /// 四色图 有序坐标点
    /// </summary>
    [Description("安全检查文件")]
    public class T_PC_INFO_COLOR_POINT : MesEntityBase
    {
        /// <summary>
        /// 四色图配置信息
        /// </summary>
        [Description("四色图配置信息")]
        [DataFieldForeignKey("Nav_Info")]
        public Guid INFO_ID { get; set; }

        /// <summary>
        /// 四色图配置信息
        /// </summary>
        [Description("四色图配置信息")]
        public T_PC_INFO Nav_Info { get; set; }

        /// <summary>
        /// 四色图配置信息
        /// </summary>
        [Description("四色图配置信息")]
        [DataFieldForeignKey("Nav_InfoColor", "Nav_ColorPoints")]
        public Guid INFO_COLOR_ID { get; set; }

        /// <summary>
        /// 四色图配置信息
        /// </summary>
        [Description("四色图配置信息")]
        public T_PC_INFO_COLOR Nav_InfoColor { get; set; }

        /// <summary>
        /// 坐标X
        /// </summary>
        [Description("坐标X")]
        [FormFieldEdit]
        public decimal X { get; set; }

        /// <summary>
        /// 坐标Y
        /// </summary>
        [Description("坐标Y")]
        [FormFieldEdit]
        public decimal Y { get; set; }

        /// <summary>
        /// 坐标顺序
        /// </summary>
        [Description("坐标顺序")]
        [FormFieldEdit]
        public int NUM { get; set; }
    }
}